var fs = require('fs');
var Mustache = require('mustache');
var cheerio = require('cheerio');

var render = function(html, element, view, params, options, callback){
    if(!options){ options = {}; };
    if(!params){ params = {}; };
    if(options && typeof options.tags === 'undefined'){ Mustache.tags = [ '{{', '}}' ]; }
    if(options && typeof options.append === 'undefined'){ options.append = false; };

    // load our HTML
    $ = cheerio.load(html);

    // get the template
    var template = fs.readFileSync(path.join(__dirname, 'public', 'views', '/' + view.replace('.mst', '') + '.mst'), 'utf8');

    // append to HTML
    if(options.append === true){
        $(element).append(Mustache.to_html($(template).html(), params));
    }else{
        $(element).empty();
        $(element).html(Mustache.to_html($(template).html(), params));
    }

    //console.log("html", $.html());
    return $.html();
};

var getHtml = function(view, params, options, callback){
    if(!options){ options = {}; };
    if(!params){ params = {}; };
    if(typeof options.tags === 'undefined'){ Mustache.tags = [ '{{', '}}' ]; }else{ Mustache.tags = options.tags; }
    if(typeof options.markdown === 'undefined'){ options.markdown = false; }

    $.ajax({
        url: this.viewLocation + '/' + view.replace('.mst', '') + '.mst',
        dataType: 'text'
    }).done(function (template){
        if(options.markdown === true){
            /*loadScript('https://cdnjs.cloudflare.com/ajax/libs/markdown-it/7.0.0/markdown-it.min.js', function(){
                var md = window.markdownit();
                var html = '<script id="template" type="text/template">' + md.render(template) + '</script>';
                callback(window.Mustache.render($(html).html(), params));
            });*/
        }else{
            callback(window.Mustache.render($(template).html(), params));
        }
    });
};