$(document).ready(function(){
    var moostaka = new Moostaka();

    moostaka.route('/', function(params){
        moostaka.getHtml('home', params, false, function(html){
            $('.docs').empty();
            $('.sidebar').addClass('hidden');
            $('.home').empty();
            $('.home').html(html);
        });
    });

    moostaka.route('/gettingstarted', function(params){
        //setMeta('moostaka - Getting started', 'gettingstarted');
        getHTML('docs', 'gettingstarted', params);
    });

    moostaka.route('/routing', function(params){
        //setMeta('moostaka - Routing', 'routing');
        getHTML('routing', 'routing', params);
    });

    moostaka.route('/rendering', function(params){
        //setMeta('moostaka - Rendering', 'rendering');
        getHTML('rendering', 'rendering', params);
    });

    moostaka.route('/functions', function(params){
        //setMeta('moostaka - Functions', 'functions');
        getHTML('functions', 'functions', params);
    });

    moostaka.route('/examples', function(params){
        //setMeta('moostaka - Examples', 'examples');
        getHTML('examples', 'examples', params);
    });

    // render menus
    moostaka.render('#menu-body', 'menu');
    moostaka.render('.sidebar', 'sidebar');

    function setMeta(title, route){
        document.title = title;
        $('meta[property="og:title"]').attr('content', document.title);
        $('meta[property="og:title"]').attr('content', 'http://moostaka.mrvautin.com/' + route);
    }

    function getHTML(view, menu, params){
        moostaka.getHtml(view, params, {markdown: true}, function(html){
            $('.docs').empty();
            $('.home').empty();
            $('.docs').html('<div class="col-lg-9">' + html + '</div>');
            $('pre code').each(function (i, block){
                hljs.highlightBlock(block);
            });
            $('html,body').scrollTop(0);
            $('.sidebar').find('a').removeClass('active');
            $('.menu-' + menu).addClass('active');
            $('.sidebar').removeClass('hidden');
        });
    }
});
